com.sun.jna.platform.win32

## Interface WinBase.FE_IMPORT_FUNC

- All Superinterfaces:
    AltCallingConvention, Callback, StdCall, StdCallLibrary.StdCallCallback
  Enclosing interface:
    WinBase

      public static interface WinBase.FE_IMPORT_FUNC
      extends StdCallLibrary.StdCallCallback

  An application-defined callback function used with WriteEncryptedFileRaw. The system calls ImportCallback one or more times, each time to retrieve a portion of a backup file's data. ImportCallback reads the data from a backup file sequentially and restores the data, and the system continues calling it until it has read all of the backup file data.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Callback

      `Callback.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.Callback

      `FORBIDDEN_NAMES, METHOD_NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinDef.DWORD` | `callback(Pointer pbData, Pointer pvCallbackContext, WinDef.ULONGByReference ulLength)`

- - ### Method Detail

    - #### callback

          WinDef.DWORD callback(Pointer pbData,
                              Pointer pvCallbackContext,
                              WinDef.ULONGByReference ulLength)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.